Bug 742538

Summary: Review Request: perl-Catalyst-Model-Adaptor - Use a plain class as a Catalyst model
Product: [Fedora] Fedora Reporter: Iain Arnell <iarnell>
Component: Package ReviewAssignee: Mario Bl├Ąttermann <mario.blaettermann>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: mario.blaettermann, notting, package-review
Target Milestone: ---Flags: mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
URL: http://search.cpan.org/dist/Catalyst-Model-Adaptor/
Whiteboard:
Fixed In Version: perl-Catalyst-Model-Adaptor-0.10-1.fc15 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-10-10 23:18:09 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 742671    

Description Iain Arnell 2011-09-30 09:45:32 EDT
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Catalyst-Model-Adaptor.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Catalyst-Model-Adaptor-0.10-1.fc17.src.rpm

Description:
The idea is that you don't want your Catalyst model to be anything other
than a line or two of glue. Using this module ensures that your Model
classes are separate from your application and therefore are well-
abstracted, reusable, and easily testable.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3391285

*rt-0.10_01
Comment 1 Mario Bl├Ąttermann 2011-10-02 10:33:56 EDT
$ rpmlint -i -v *perl-Catalyst-Model-Adaptor.noarch: I: checking
perl-Catalyst-Model-Adaptor.noarch: I: checking-url http://search.cpan.org/dist/Catalyst-Model-Adaptor/ (timeout 10 seconds)
perl-Catalyst-Model-Adaptor.src: I: checking
perl-Catalyst-Model-Adaptor.src: I: checking-url http://search.cpan.org/dist/Catalyst-Model-Adaptor/ (timeout 10 seconds)
perl-Catalyst-Model-Adaptor.src: I: checking-url http://www.cpan.org/authors/id/B/BO/BOBTFISH/Catalyst-Model-Adaptor-0.10.tar.gz (timeout 10 seconds)
perl-Catalyst-Model-Adaptor.spec: I: checking-url http://www.cpan.org/authors/id/B/BO/BOBTFISH/Catalyst-Model-Adaptor-0.10.tar.gz (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Looks fine so far.

---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
    GPL+ or Artistic
[+] MUST: The License field in the package spec file must match the actual
license.
[.] MUST: The file containing the text of the license(s) for the package must
be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    $ md5sum *
    06756b1c13ebe84d3f2538975cfea978  Catalyst-Model-Adaptor-0.10.tar.gz
    06756b1c13ebe84d3f2538975cfea978  Catalyst-Model-Adaptor-0.10.tar.gz.packaged

[+] MUST: The package MUST successfully compile and build into binary rpms on
at least one primary architecture.
    - Succesful Koji build available.
[.] MUST: If the package does not successfully compile, build or work on an
architecture, ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[.] MUST: The spec file MUST handle locales properly.
[.] MUST: If a package installs files below %{_datadir}/icons, the icon cache
must be updated.
[.] MUST: Packages storing shared library files (not just symlinks) must call
ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates.
[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Packages must not provide RPM dependency information when that
information is not global in nature, or are otherwise handled.
[.] MUST: When filtering automatically generated RPM dependency information,
the filtering system implemented by Fedora must be used.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[.] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), ...
[.] MUST: devel packages must require the base package using a fully versioned
dependency.
[.] MUST: Packages must NOT contain any .la libtool archives.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop
file
[.] MUST: .desktop files must be properly installed with desktop-file-install
in the %install section.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

[.] SHOULD: If the source package does not include license text(s) as a
    separate file from upstream, the packager SHOULD query upstream...
[+] SHOULD: Timestamps of files should be preserved.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses mock anyway)
[+] SHOULD: The reviewer should test that the package functions as described.
    I assume the packager has tested it. Don't know how to test it on my
system.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.
[.] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin ...
[+] SHOULD: Your package should contain man pages for binaries/scripts.


----------------

PACKAGE APPROVED

----------------
Comment 2 Iain Arnell 2011-10-02 11:54:02 EDT
New Package SCM Request
=======================
Package Name: perl-Catalyst-Model-Adaptor
Short Description: Use a plain class as a Catalyst model
Owners: iarnell
Branches: f15 f16
InitialCC: perl-sig
Comment 3 Jon Ciesla 2011-10-03 08:25:53 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2011-10-03 10:55:53 EDT
perl-Catalyst-Model-Adaptor-0.10-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-Catalyst-Model-Adaptor-0.10-1.fc16
Comment 5 Fedora Update System 2011-10-03 10:56:02 EDT
perl-Catalyst-Model-Adaptor-0.10-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-Catalyst-Model-Adaptor-0.10-1.fc15
Comment 6 Fedora Update System 2011-10-03 13:45:04 EDT
perl-Catalyst-Model-Adaptor-0.10-1.fc16 has been pushed to the Fedora 16 testing repository.
Comment 7 Fedora Update System 2011-10-10 23:18:09 EDT
perl-Catalyst-Model-Adaptor-0.10-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 8 Fedora Update System 2011-10-12 20:50:07 EDT
perl-Catalyst-Model-Adaptor-0.10-1.fc15 has been pushed to the Fedora 15 stable repository.